-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) then
	addonTable.WeakAuras.Styles.LunaEclipse.Data.Icons.LERH_Bloodlust = {
		ID = {
			["id"] = "LERH_Bloodlust",
			["regionType"] = "icon",
			["parent"] = "LERH_LunaEclipse",
		},
		Editable = {
			-- Positioning
			["height"] = 80,
			["width"] = 80,
			["xOffset"] = 0,
			["yOffset"] = 125,

			-- Other elements such as fonts, number of decimal places, etc...
			["text2Point"] = "CENTER",
			["text1FontSize"] = 30,
			["progressPrecision"] = 1,
			["text1Point"] = "CENTER",
			["text2FontFlags"] = "OUTLINE",
			["displayIcon"] = "Interface\\Icons\\ability_mage_timewarp",
			["text1Color"] = {
				[1] = 0.05,
				[2] = 1,
				[3] = 0,
				[4] = 1,
			},
			["inverse"] = false,
			["text1FontFlags"] = "OUTLINE",
			["text2FontSize"] = 24,
			["text2Enabled"] = false,
			["text1"] = "%p\n",
			["text2"] = "%p\n",
			["alpha"] = 1,
			["text1Containment"] = "OUTSIDE",
			["cooldown"] = false,
		},
		Uneditable = {
			["customText"] = "function()\n    return name\nend",
			["activeTriggerMode"] = 0,
			["customTextUpdate"] = "update",
			["trigger"] = {
				["duration"] = "40",
				["customTexture"] = "",
				["buffShowOn"] = "showOnActive",
				["spellName"] = "Bloodlust",
				["type"] = "aura",
				["use_unit"] = true,
				["custom_type"] = "status",
				["unevent"] = "timed",
				["event"] = "Chat Message",
				["names"] = {
					[1] = "Bloodlust",
					[2] = "Heroism",
					[3] = "Time Warp",
					[4] = "Primal Rage",
					[5] = "Drums of Fury",
				},
				["events"] = "COMBAT_LOG_EVENT_UNFILTERED",
				["customName"] = "function()\n    return \"Bloodlust\"\nend",
				["use_spellName"] = true,
				["custom"] = "",
			},
			["additional_triggers"] = {},
			["untrigger"] = {},
		},
	};
end