-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) then
	addonTable.WeakAuras.Templates.templateGroup = {
		["backdropColor"] = {
			[1] = 1,
			[2] = 1,
			[3] = 1,
			[4] = 0.5,
		},
		["controlledChildren"] = {},
		["borderBackdrop"] = "Blizzard Tooltip",
		["xOffset"] = 0,
		["border"] = false,
		["yOffset"] = 160,
		["borderSize"] = 16,
		["activeTriggerMode"] = -10,
		["expanded"] = true,
		["untrigger"] = {},
		["borderEdge"] = "None",
		["borderOffset"] = 5,
		["disjunctive"] = "all",
		["selfPoint"] = "BOTTOMLEFT",
		["borderColor"] = {
			[1] = 1,
			[2] = 1,
			[3] = 1,
			[4] = 0.5,
		},
		["frameStrata"] = 5,
		["anchorFrameType"] = "SCREEN",
		["animation"] = {
			["start"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
			["main"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
			["finish"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
		},
		["borderInset"] = 11,
		["numTriggers"] = 1,
		["trigger"] = {
			["unit"] = "player",
			["type"] = "aura",
			["spellIds"] = {},
			["subeventSuffix"] = "_CAST_START",
			["debuffType"] = "HELPFUL",
			["names"] = {},
			["event"] = "Health",
			["subeventPrefix"] = "SPELL",
			["buffShowOn"] = "showOnActive",
		},
		["actions"] = {
			["start"] = {},
			["finish"] = {},
			["init"] = {},
		},
		["conditions"] = {},
		["load"] = {
			["ingroup"] = {
				["multi"] = {},
			},
			["affixes"] = {
				["multi"] = {},
			},
			["talent"] = {
				["multi"] = {},
			},
			["class"] = {
				["multi"] = {},
			},
			["spec"] = {
				["multi"] = {},
			},
			["use_class"] = false,
			["role"] = {
				["multi"] = {},
			},
			["talent2"] = {
				["multi"] = {},
			},
			["faction"] = {
				["multi"] = {},
			},
			["race"] = {
				["multi"] = {},
			},
			["difficulty"] = {
				["multi"] = {},
			},
			["talent3"] = {
				["multi"] = {},
			},
			["pvptalent"] = {
				["multi"] = {},
			},
			["size"] = {
				["multi"] = {},
			},
		},
		["anchorPoint"] = "CENTER",
		["scale"] = 1,
	};
end