-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) then
	addonTable.WeakAuras.Templates.templateIcon = {
		["glow"] = false,
		["text1FontSize"] = 14,
		["anchorPoint"] = "CENTER",
		["activeTriggerMode"] = -10,
		["customTextUpdate"] = "event",
		["url"] = "",
		["actions"] = {
			["start"] = {},
			["init"] = {},
			["finish"] = {},
		},
		["text1Enabled"] = true,
		["keepAspectRatio"] = false,
		["animation"] = {
			["start"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
			["main"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
			["finish"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
		},
		["trigger"] = {
			["unit"] = "player",
			["custom_hide"] = "custom",
			["type"] = "custom",
			["subeventSuffix"] = "_CAST_START",
			["debuffType"] = "HELPFUL",
			["spellIds"] = {},
			["event"] = "Health",
			["custom_type"] = "event",
			["check"] = "update",
			["names"] = {},
			["subeventPrefix"] = "SPELL",
		},
		["desaturate"] = false,
		["text1Point"] = "BOTTOM",
		["version"] = 1,
		["text2FontFlags"] = "THICKOUTLINE",
		["load"] = {
			["ingroup"] = {
				["multi"] = {},
			},
			["use_never"] = false,
			["talent"] = {
				["multi"] = {},
			},
			["class"] = {
				["multi"] = {},
			},
			["difficulty"] = {
				["multi"] = {},
			},
			["race"] = {
				["multi"] = {},
			},
			["role"] = {
				["multi"] = {},
			},
			["pvptalent"] = {
				["multi"] = {},
			},
			["talent2"] = {
				["multi"] = {},
			},
			["faction"] = {
				["multi"] = {},
			},
			["spec"] = {
				["multi"] = {},
			},
			["size"] = {
				["multi"] = {},
			},
		},
		["cooldownTextEnabled"] = true,
		["color"] = {
			[1] = 1,
			[2] = 1,
			[3] = 1,
			[4] = 1,
		},
		["text2Containment"] = "INSIDE",
		["stickyDuration"] = false,
		["text1Color"] = {
			[1] = 1,
			[2] = 1,
			[3] = 1,
			[4] = 1,
		},
		["disjunctive"] = "all",
		["text1FontFlags"] = "THICKOUTLINE",
		["regionType"] = "icon",
		["numTriggers"] = 1,
		["text2Point"] = "TOPRIGHT",
		["text2FontSize"] = 12,
		["text1Containment"] = "INSIDE",
		["text1"] = "%n\n",
		["frameStrata"] = 5,
		["icon"] = true,
		["text2"] = "%c\n",
		["auto"] = true,
		["selfPoint"] = "CENTER",
		["zoom"] = 0,
		["text2Enabled"] = true,
		["anchorFrameType"] = "SCREEN",
		["text1Font"] = "Friz Quadrata TT",
		["text2Color"] = {
			[1] = 1,
			[2] = 1,
			[3] = 1,
			[4] = 1,
		},
		["inverse"] = true,
		["text2Font"] = "Friz Quadrata TT",
		["init_started"] = 1,
		["conditions"] = {},
		["cooldown"] = true,
	};
end